function initEvent() {
    mui.back = function () {
        selfPage.close();
    };
    mui("#categoryContent").on('tap', '.mui-control-item', function () {
        mui("#categoryContent .mui-control-item").each(function () {
            if (this.classList.contains("active")) {
                this.classList.remove("active");
            }
            if (!this.classList.contains("title")) {
                this.classList.add("title");
            }
        });
        this.classList.remove("title");
        this.classList.add("active");
        var categoryId = this.getAttribute("dataId");
        mui("#listdiv .detailCls").each(function () {
            if (!this.classList.contains("hidden")) {
                this.classList.add("hidden");
            }
        });
        document.getElementById("cardDetail_" + categoryId).classList.remove("hidden");
    });
    document.getElementById('saveBtn').addEventListener('tap', function () {
        var checkArray = [].slice.call(document.getElementById("listdiv").querySelectorAll(".selCheck"));
        var arryList = [];

        //检查用户登录情况
        var curUser = app.getUserInf();
        if(curUser == null){
            openLoginPageByUrl('login.html');
            return;
        }

        if (typeof shopid == 'undefined' || shopid == '') {
            mui.toast("请选择门店！");
            return;
        }
        checkArray.forEach(function (box) {
            if (box.checked) {
                var tempid = box.getAttribute("dataId") || '';
                var datarow = {
                    oiTemplateId: tempid,
                    shopid: shopid,
                    shopname: shopname,
                    'oiSource':'0',
                    'oiItemClass':'1',
                    oiTemplateName: box.getAttribute("dataName") || '',                 //名称
                    oiSinglePrice: box.getAttribute("dataPrice") || '',                 //单价
                    oiUsableExtra: box.getAttribute("dataDeductionFee") || '0',         //可使用红包
                    oiNum: document.getElementById(tempid + "num").value || '',         //购买数量
                    oiUsableNum: box.getAttribute("dataUsableNum") || '0',              //可用次数
                    oiExtraMoney: box.getAttribute("dataFreeFee") || '0',               //赠送红包
                    oiIntegralPrice: box.getAttribute("ctIntegralPrice") || '0',        //统一健康币价
                    oiIntegral: box.getAttribute("ctLargessIntegral") || '0'            //赠送健康币
                };
                arryList.push(JSON.stringify(datarow));
            }
        });
        if (arryList.length == 0) {
            mui.toast("请勾选！");
            return;
        }

        mui.openWindow({
            id: 'pay/pay.html',
            url: 'pay/pay.html',
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: true
            },
            //分类：0：服务，1项目卡，2储值卡
            extras: {
                itemArray: arryList,
                payClass: '1'
            }
        });
    });

    // selShopObj.addEventListener('tap', function () {
    //     showShopSelector();
    // });

    // window.addEventListener("backFunc", function (e) {
    //     var e = e.detail;
    //     shopid = e.shopid;
    //     shopname = e.shopname;
    //     loadCard();
    // });
    document.getElementById('localBtn').addEventListener('tap', function () {
        showShopSelector();
    });
    window.addEventListener('setShop', function (e) {
        e = e.detail;
        var selectedShop = {
            soId:e.soId,
            soName:e.soName,
            fullName:e.fullName,
            siDownDatetime: e.siDownDatetime,
            siUpDatetime: e.siUpDatetime
        };
        shopid = e.soId;
        shopname = e.soName;
        setSelectedShop(selectedShop);
        showCurrentShop(selectedShop);
        loadCard();
        plus.nativeUI.toast("已切换到门店：" + selectedShop.fullName);
    });
}

function showCurrentShop(currentShop){
    var fullName = currentShop.soName;
    document.getElementById("local").innerHTML = fullName;
}

function showShopSelector() {
    mui.openWindow({
        url:'dialog/shopSelector.html',
        id:'shopSelector.html',
        show: {
            aniShow: 'pop-in'
        },
        styles: {
            popGesture: 'hide'
        },
        waiting: {
            autoShow: true
        },
        extras: {
            pwebViewID: selfPage.id,
            backFunc: 'setShop'
        }
    })
}

function init() {
    // selShopObj = document.getElementById('selShopBtn');
}

function loadCateGory() {
    if (!checknet()) {
        return;
    }
    document.getElementById("listdiv").innerHTML = "";
    var baseUtl = getServerUrlInf();
    var saveurl = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=sysCode/getCardCategoryByClient.do&prms=&temp=' + new Date().getMilliseconds();
    getServerInfNoShowWaiting(saveurl, {}, function (data) {
        if (data.OK == "OK") {
            data.rows = JSON.parse(data.rows);
            var len = data.rows.length;
            if (len > 0) {
                var htmlTxt = [];
                var fragment = document.createDocumentFragment();
                var index = 0;
                for (var i = 0; i < len; i++) {
                    var dataRow = data.rows[i];
                    if (dataRow.scValue == "1") {
                        continue;
                    }
                    var divCls = "hidden";
                    var tdCls = "title";

                    if (index == 0) {
                        divCls = "";
                        tdCls = "active";
                    }
                    htmlTxt.push('<td valign="middle" >');
                    htmlTxt.push('<div class="' + tdCls + ' mui-control-item " dataId="' + dataRow.scValue + '" dataName="' + dataRow.scName + '">' + dataRow.scName + '</div>');
                    htmlTxt.push('</td>');

                    var div = document.createElement("div");
                    div.className = "detailCls " + divCls;
                    div.setAttribute("id", "cardDetail_" + dataRow.scValue);
                    div.innerHTML = '<ul id="more_Content" dataId="' + dataRow.scValue + '" class="mui-table-view cardCls" style="margin-top:2px;"></ul>';
                    fragment.appendChild(div);
                    index++;
                }
                document.getElementById("listdiv").appendChild(fragment);
                document.getElementById("categoryContent").innerHTML = htmlTxt.join('');
                loadCard();
            } else {
                mui.toast("未找到卡项分类，请联系管理员！");
                selfPage.close();
            }
        } else {
            plus.nativeUI.toast(data.message);
        }
    });
}

function loadCard() {
    if (!checknet()) {
        return;
    }
    var selectedShop = getSelectedShop();
    if(selectedShop==null)
        shopid = '';
    else{
        showCurrentShop(selectedShop);
        shopid = selectedShop.soId;
        shopname = selectedShop.soName;
    }
    if (typeof shopid == 'undefind' || shopid == '') {
 	    plus.nativeUI.toast('请选择门店！');
        showShopSelector();
        return;
    }
    var baseUtl = getServerUrlInf();
    var param = {
        'cardTemplate.ognId': shopid,
        'cardTemplate.ctState': 0,
        // 'cardTemplate.ctScValue': 3,
        rows: 500
    };
    var url = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=cardTemplate/pageList.do';
    url += '&prms=' + encodeURIComponent(JSON.stringify(param)) + '&temp=' + new Date().getMilliseconds();

    //getCardInfByClient
//  url=baseUtl+'/accessFunNoLogin/excuteFun.do?funUrl=cardTemplate/getCardInfByClient.do';
    getServerInfNoShowWaiting(url, {}, function (data) {
//      if(data.OK!="OK"){
//          plus.nativeUI.toast(data.message);
//          return;
//      }
        if (typeof data.rows == 'undefined') {
            plus.nativeUI.toast(data.message);
            return;
        }
        if (typeof data.rows == 'string')
            data.rows = JSON.parse(data.rows);
        var curDate = data.curDate;
        var len = data.rows.length;

        if (len <= 0)
            return;
        mui("#listdiv .cardCls").each(function () {
            var categoryId = this.getAttribute("dataId");
            var fragment = document.createDocumentFragment();
            for (var i = 0; i < len; i++) {
                var dataRow = data.rows[i];
                if (dataRow.ctScValue != categoryId) {
                    continue;
                }
                if (dataRow.ctSaleBeginDate && dataRow.ctSaleBeginDate.length > 5 && curDate < dataRow.ctSaleBeginDate) {
                    continue;
                }
                if (dataRow.ctSaleEndDate && dataRow.ctSaleEndDate.length > 5 && curDate > dataRow.ctSaleEndDate) {
                    continue;
                }
                if (!dataRow.ctUsableExtra) {
                    dataRow.ctUsableExtra = "0";
                }
                var freeFee = "0";
                var sumFreeFee = "0";
                if (dataRow.ctOne && dataRow.ctOne.length > 0) {
                    freeFee = dataRow.ctOne;
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                if (dataRow.ctFive && dataRow.ctFive.length > 0) {
                    freeFee = yunshuan(dataRow.ctFive, '*', "5");
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                if (dataRow.ctTen && dataRow.ctTen.length > 0) {
                    freeFee = yunshuan(dataRow.ctTen, '*', "10");
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                if (dataRow.ctTwenty && dataRow.ctTwenty.length > 0) {
                    freeFee = yunshuan(dataRow.ctTwenty, '*', "20");
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                if (dataRow.ctFifty && dataRow.ctFifty.length > 0) {
                    freeFee = yunshuan(dataRow.ctFifty, '*', "50");
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                if (dataRow.ctHundred && dataRow.ctHundred.length > 0) {
                    freeFee = yunshuan(dataRow.ctHundred, '*', "100");
                    sumFreeFee = yunshuan(sumFreeFee, "+", freeFee);
                }
                var li = document.createElement("li");
                li.className = "mui-table-view-cell mui-media";
                li.style.paddingLeft = "5px";
                var htmlTxt = [];
                if (dataRow.ctImgId && dataRow.ctImgId.length > 10) {
                    // var urlTxt=getFileServerUrlInf()+"fid="+dataRow.ctImgId+"&isopen=0&filetype=4";
                    var urlTxt = getFileServerUrlInf_sep() + "/fileserver/common/downloadfileServlet?fid=" + dataRow.ctImgId + "&isopen=0&filetype=4";
                    htmlTxt.push('<img class="mui-media-object mui-pull-left" src="images/translate.png" data-src="' + urlTxt + '" onload="load(this)"> ');
                } else {
                    htmlTxt.push('<img class="mui-media-object mui-pull-left" src="images/translate.png">');
                }
                htmlTxt.push('<div class="mui-media-body">');
                htmlTxt.push('<div style="font-size:14px;">' + dataRow.ctName + '</div>');

                htmlTxt.push('<p style="font-size:12px;">单张售价：￥<font style="color:red;">' + parseInt(dataRow.ctPrice) + '</font></p>');
                htmlTxt.push('<span class="mui-input-row mui-checkbox mui-pull-right"><label></label>');
                var h = '<input name="checkbox" class="selCheck" dataId="' + dataRow.ctId + '" dataUsableNum="' + dataRow.ctUsableNum + '"';
                h += ' dataName="' + dataRow.ctName + '" dataFreeFee="' + sumFreeFee + '" dataPrice="' + dataRow.ctPrice + '"';
                var ctIntegralPrice =  dataRow.ctIntegralPrice || 0;
                var ctLargessIntegral = dataRow.ctLargessIntegral || 0;
                h += ' ctIntegralPrice="' + ctIntegralPrice + '"';
                h += ' ctLargessIntegral="'+ ctLargessIntegral +'"';    //赠送健康币
                h += '  dataDeductionFee="' + dataRow.ctUsableExtra + '"   type="checkbox"></span>';

                htmlTxt.push(h);
                htmlTxt.push('<p style="font-size:12px;">可用次数：<font style="color:red;">' + parseInt(dataRow.ctUsableNum) + '</font>次</p>');

                if (parseInt(sumFreeFee) > 0) {
                    htmlTxt.push('<p style="font-size:12px;">赠送红包：￥<font style="color:red;">' + parseInt(sumFreeFee) + '</font></p>');
                }
                if (parseInt(ctLargessIntegral) > 0) {
                    htmlTxt.push('<p style="font-size:12px;">赠送健康币：￥<font style="color:red;">' + parseInt(ctLargessIntegral) + '</font></p>');
                }
                if (parseInt(dataRow.ctUsableExtra) > 0) {
                    htmlTxt.push('<p style="font-size:12px;">可用红包抵扣：￥' + dataRow.ctUsableExtra + '</span></p>');
                }



                htmlTxt.push('购买数量：<div class="mui-numbox" data-numbox-min="1" data-numbox-max="9" style="height:26px;font-size:14px;">');
                htmlTxt.push('<button class="mui-btn mui-btn-numbox-minus" type="button">-</button>');
                htmlTxt.push('<input id="' + dataRow.ctId + 'num" class="mui-input-numbox" type="number" value="1" />');
                htmlTxt.push('<button class="mui-btn mui-btn-numbox-plus" type="button">+</button>');
                htmlTxt.push('</div>');
                htmlTxt.push('</div>');
                if (dataRow.ctBriefIntroduction) {
                    htmlTxt.push('<div style="color:#8f8f94;">&emsp;&emsp;' + dataRow.ctBriefIntroduction + '</span></div>');
                }
                li.innerHTML = htmlTxt.join('');
                fragment.appendChild(li);
            }
            this.innerHTML = "";
            this.appendChild(fragment);
            if (this.innerHTML.trim().length == 0) {
                this.innerHTML = noDataShowTxt;
            }
        });
        mui(".mui-numbox").numbox();
    });
}