function init() {
    //获取广告宣传信息
    getADInfList();
    //获取选择的门店
    setShop();
}

function initEvent() {
    mui("#menulist").on('tap', 'a', function () {
        var url = this.getAttribute("hrefTxt");
        mui.openWindow({
            id: url,
            url: url,
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: false
            }
        });
    });

    document.getElementById("allServiceBtn").addEventListener("tap", function () {
        mui.openWindow({
            id: 'allService.html',
            url: 'allService.html',
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: true
            },
            extras: {
                lat: lat,
                longt: longt,
                servArry: servArry
            }
        });
    });

    window.addEventListener('refresh_AdInf', function () {
        getADInfList();
        // init_pullTo_Refresh();
    });
    window.addEventListener('setShop', function (e) {
        setShopCallBack(e);
    });

    localBtn.addEventListener('tap', function () {
        selectShop(true);
    });

    mui("#detail").on('tap', '.detail', function (){
        var curShop = getSelectedShop();
        mui.openWindow({
            id: 'shopdetail.html',
            url: 'shopdetail.html',
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: true
            },
            extras: {
                pwebViewID: selfPage.id,
                curShop: curShop
            }
        });
    });
    mui("#serviceList").on('tap', '.detail_link', function () {
        var me = this;
        var parNode = me.parentNode;
        var entityID = parNode.getAttribute('dataId');
        toServiceDetail(entityID);
    });

    mui("#serviceList").on('tap', '.downOrdeform', function () {
        getLoginState(function(ifLogin,data){
            if(!ifLogin){
                openLoginPageByUrl('login.html');
                return;
            }
            if(data.OK != 'OK'){
                openLoginPageByUrl('login.html');
                return;
            }
            var userInf = data.userInf || '';
            if(userInf == ''){
                openLoginPageByUrl('login.html');
                return;
            }
            placeAnOrder(this);
        });

    });



}

function showCurrentShop(currentShop) {
    var fullName = currentShop.soName;
    var address = currentShop.siAddress;
    if(typeof address == 'undefined' || address == 'undefined')
        address = '';
    var localObj = document.getElementById("local");
    var adressObj = document.getElementById("address");
    var distanceObj = document.getElementById('distance');
    var distance = currentShop.distance;
    if (typeof distance == 'undefined' || distance == 'undefined')
        distance = '';
    if (distance == '') {
        distanceObj.innerHTML = '';
    } else {
        distance = (parseFloat(distance)/1000).toFixed(1) + '千米';
        distanceObj.innerHTML = distance;
    }
    localObj.setAttribute('siLong', currentShop.siLong);
    localObj.setAttribute('siLat', currentShop.siLat);
    localObj.setAttribute('soId', currentShop.soId);
    localObj.setAttribute('soName', currentShop.soName);
    localObj.innerHTML = fullName;
    adressObj.innerHTML = address;
}

function setShopCallBack(e) {
    e = e.detail;
    // var selectedShop = {
    //     soId:e.soId,
    //     soName:e.soName,
    //     fullName:e.fullName,
    //     siDownDatetime: e.siDownDatetime,
    //     siUpDatetime: e.siUpDatetime
    // };
    var selectedShop = e;
    setSelectedShop(selectedShop);
    showCurrentShop(selectedShop);
    loadService(selectedShop);
    plus.nativeUI.toast("已切换到门店：" + selectedShop.fullName);
}

function setShop() {
//	plus.nativeUI.showWaiting("正在获取您的位置，请稍后....");
    var selectedShop = getSelectedShop();
    if (selectedShop != null) {
        checkShopState(selectedShop,function(){
            showCurrentShop(selectedShop);
            loadService(selectedShop);
        });
        return;
    }
    setShopAuto();
}

function checkShopState(selectedShop,onComplete){
    var prams = {
        'id':selectedShop.soId
    };
    var baseUtl = getServerUrlInf();
    var url = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=baseShopInfo/findById.do';
    url += '&prms=' + encodeURIComponent(JSON.stringify(prams)) + '&temp=' + new Date().getMilliseconds();
    getServerInfNoShowWaiting(url, {}, function (data) {
        // plus.nativeUI.closeWaiting();
        if (data.OK == "OK") {
            var baseShopInfo = data.baseShopInfo;
            if(typeof baseShopInfo == 'undefined'){
            	var msg = '门店信息读取错误！';
            	plus.nativeUI.toast(msg);
            	return;
            }
            if(typeof baseShopInfo == 'string')
            	baseShopInfo = JSON.parse(baseShopInfo);
            	var siOpened = baseShopInfo.siOpened;
            	var soName = baseShopInfo.soName;
            	
            	var showText = '';
            	if(typeof siOpened == 'undefined')
            		siOpened = '1';
            	if(siOpened != '1'){
            		if(siOpened == '2')
            			showText = '休息中';
        			if(siOpened == '3')
            			showText = '停业中';
            		if(showText == '')
            			showText = '休息中';
            		var msg = soName+showText+'，请选择其他门店';
            		mui.alert(msg);
            		selectShop(true);
            		return;
            	}
        } else {
            var msg = '门店信息读取错误！';
            if(data.message)
                msg += data.message;
            plus.nativeUI.toast(msg);
            return;
        }
        if(onComplete)
            onComplete();
    });
}

//获取位置，并切换为最近的门店
function setShopAuto() {
    getPosition(function (flag, data) {
        if (!flag) {
            plus.nativeUI.toast("获取定位失败，请选择门店！");
            selectShop(true);
            return;
        }

        lat = "" + data.lat;
        longt = "" + data.longt;
        loadShopData(function (dataRow) {
            plus.nativeUI.showWaiting("正在读取数据，请稍后....");
            mui.fire(selfPage, 'setShop', dataRow);
        }, function () {
            plus.nativeUI.closeWaiting();
            plus.nativeUI.toast("获取定位失败，请选择门店！");
            selectShop(false);
        });
    });
}

function selectShop(newFlag) {
    if (newFlag) {
        lat = null;
        longt = null;
    }

    mui.openWindow({
        id: 'shopSelector.html',
        url: 'dialog/shopSelector.html',
        show: {
            aniShow: 'pop-in'
        },
        styles: {
            popGesture: 'hide'
        },
        waiting: {
            autoShow: true
        },
        extras: {
            backFunc: 'setShop',
            pwebViewID: selfPage.id,
            lat: lat,
            longt: longt,
        }
    });
}


function loadShopData(onComplete, onError) {
    if (!checknet()) {
        return;
    }
    var baseUtl = getServerUrlInf();
    var url = baseUtl + '/baseShopInfo/pageList.do?lat=' + lat + '&lng=' + longt + '&page=0&temp=' + new Date().getMilliseconds();

    // var param = {
    //     lat: lat,
    //     lng: longt,
    //     page: 0
    // };
    // var url = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=baseShopInfo/pageList.do';
    // url += '&prms=' + encodeURIComponent(JSON.stringify(param)) + '&temp=' + new Date().getMilliseconds();

    mui.ajax(url, {
        data: {},
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 5000,//超时时间设置为10秒；
        success: function (data) {
            // if (data.OK != "OK") {
            //     plus.nativeUI.toast(data.message);
            //     plus.nativeUI.closeWaiting();
            //     return;
            // }
            if (typeof data.rows == 'string')
                data.rows = JSON.parse(data.rows);
            if (data.rows.length <= 0) {
                plus.nativeUI.closeWaiting();
                plus.nativeUI.toast('门店读取错误！' + data.message);
                return;
            }
            var dataRow = data.rows[0];
            var soName = dataRow.soName;
            var fullName = '吉康国际养生会所（' + soName + '）';
            dataRow.fullName = fullName;
            if (onComplete)
                onComplete(dataRow);

        },
        error: function (xhr, type, errorThrown) {
            if (xhr.status == 200) {
                plus.nativeUI.toast(xhr.responseText);
            } else {
                plus.nativeUI.toast('亲，网络不给力，请再试试！');
            }
            if (onError)
                onError();
        }
    });
}

function getADInfList() {
    if (!checknet()) {
        setTimeout(function () {
            getADInfList();
        }, 20000);
        return;
    }
    var baseUtl = getServerUrlInf();

    var saveurl = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=sysAd/getMobileADInf.do&temp=' + new Date().getMilliseconds();
    getServerInfNoShowWaiting(saveurl, {}, function (data) {
        if (data == null || data == 'null') {
            mui.toast('网络错误-ad');
            return;
        }
        if (data.OK == "OK") {
            init_silder(JSON.parse(data.data));
        } else {
            plus.nativeUI.toast(data.msg);
            setTimeout(function () {
                getADInfList();
            }, 20000);
        }
    });
}

function init_silder(data) {
    if (data && data.length > 0) {
        var html_1 = [];
        var html_2 = [];
        // var fileServerURl=getFileServerUrlInf();
        var fileServerURl = getFileServerUrlInf_sep() + "/fileserver/common/downloadfileServlet?";
        html_1.push('<div class="mui-slider-group mui-slider-loop">');
        html_2.push('<div class="mui-slider-indicator mui-text-right">');
        for (var i = 0; i < data.length; i++) {
            var data_Row = data[i];
            if (i == 0) {
                var data_Row_tmp = data[data.length - 1];

                var imgUrlTxt = "";
                html_1.push('<div class="mui-slider-item mui-slider-item-duplicate">');
                html_1.push('<a href="#" dataFid="' + data_Row_tmp.paId + '" dataFNAME="' + data_Row_tmp.paTitle + '">');
                if (data_Row_tmp.paImgid && data_Row_tmp.paImgid.length > 10) {
                    imgUrlTxt = fileServerURl + 'fid=' + data_Row_tmp.paImgid + '&isopen=0&filetype=3';
                    html_1.push('<img class="img_contain" src="img/shop.jpg" data-src="' + imgUrlTxt + '" onload="load(this)" >');
                } else {
                    html_1.push('<img class="img_contain" src="img/shop.jpg">');
                }

                html_1.push('<p class="mui-slider-title">' + data_Row_tmp.paTitle + '</p>');
                html_1.push('</a>');
                html_1.push('</div>');
                html_2.push('<div class="mui-indicator mui-active"></div>');

            } else {
                html_2.push('<div class="mui-indicator"></div>');
            }
            var imgUrlTxt = fileServerURl + 'fid=' + data_Row.paImgid + '&isopen=0&filetype=3';
            html_1.push('<div class="mui-slider-item ">');
            html_1.push('<a href="#" dataFid="' + data_Row.paId + '" dataFNAME="' + data_Row.paTitle + '">');
            html_1.push('<img class="img_contain" src="images/translate.png" data-src="' + imgUrlTxt + '" onload="load(this)"  style="height:200px;"> ');
            html_1.push('<p class="mui-slider-title">' + data_Row.paTitle + '</p>');
            html_1.push('</a>');
            html_1.push('</div>');
            if (i == data.length - 1) {
                var data_Row_tmp = data[0];
                var imgUrlTxt = fileServerURl + 'fid=' + data_Row_tmp.paImgid + '&isopen=0&filetype=3';
                html_1.push('<div class="mui-slider-item mui-slider-item-duplicate">');
                html_1.push('<a href="#" dataFid="' + data_Row_tmp.paId + '" dataFNAME="' + data_Row_tmp.paTitle + '">');
                html_1.push('<img class="img_contain" src="images/translate.png" data-src="' + imgUrlTxt + '" onload="load(this)" style="height:200px;" >');
                html_1.push('<p class="mui-slider-title">' + data_Row_tmp.paTitle + '</p>');
                html_1.push('</a>');
                html_1.push('</div>');
            }
        }
        html_1.push('</div>');
        html_2.push('</div>');
        document.getElementById("slider").innerHTML = html_1.join('') + html_2.join('');
        slider.slider({
            interval: 3000
        });

        //取消banner图点击事件
        // mui("#slider").on('tap', 'a', function () {
        //     var datafid = this.getAttribute("dataFid");
        //     var datatitle = this.getAttribute("dataFNAME");
        //     mui.fire(previePage, 'init_data', {pID: datafid, htitle: datatitle});
        //     setTimeout(function () {
        //         mui.openWindow({
        //             id: previePage.id,
        //             show: {
        //                 aniShow: 'pop-in'
        //             },
        //             waiting: {
        //                 autoShow: true
        //             }
        //         });
        //     }, GOAL_PAGEWAITTIME);
        // });
    }
}


function initServiceList(data) {
    if (data.length <= 0) {
        return;
    }
    var serviceListObj = document.getElementById('serviceList');
    var len = data.length;
    for (var i = 0; i < len; i++) {
        var dataRow = data[i];
        var servId = dataRow.bsiId;
        var recommend = dataRow.bsiRecommend;
        if(typeof recommend == 'undefined' || recommend == null)
            recommend = '';
        var name = dataRow.bsiServiceName;
        if (name.length > 12) {
            name = name.substring(0, 12) + '...';
        }
        while (name.length < 12) {
            name += '　';
        }
        var li = document.createElement("li");
        li.className = "mui-table-view-cell mui-media ";
        li.setAttribute("dataId", servId);
        li.style.paddingLeft = "5px";
        var htmlTxt = [];

        if (dataRow.bsiImgId && dataRow.bsiImgId.length > 10) {
            var urlTxt = getFileServerUrlInf() + "fid=" + dataRow.bsiImgId + "&isopen=0&filetype=4";
            htmlTxt.push('<img class="mui-media-object mui-pull-left detail_link" src="images/translate.png" data-src="' + urlTxt + '" onload="load(this)"> ');
        } else {
            htmlTxt.push('<img class="mui-media-object mui-pull-left detail_link" src="img/service.jpg"> ');
        }
        htmlTxt.push('<div class="mui-media-body" dataId="'+servId+'">');
        htmlTxt.push('<span class="mui-pull-left detail_link">');
        var ifRecomm = '<span class="mui-badge mui-badge-warning" style="border:1px solid #00CC99;border-radius: 50px;color:#00CC99;background:#fff;margin-right:0.7rem;" >荐</span>';
        if (dataRow.bsiIfRecomm != '1')
            ifRecomm = '';
        htmlTxt.push('<div>' + name + '</div>');
        htmlTxt.push('<p>'+ifRecomm+'&nbsp;</p>');
        // if (dataRow.bsiIfRecomm == '1')
        //     htmlTxt.push('<p><span class="mui-badge mui-badge-warning" style="border:1px solid #00CC99;border-radius: 50px;color:#00CC99;background:#fff;" >荐</span></p>');
        htmlTxt.push('<p style="margin-top:2px;"><span class="mui-icon iconfont icon-shijian" style="font-size:12px;"></span>&nbsp;' + dataRow.bsiMinute + '分钟（' + dataRow.bsiPostureTxt + '）</p>');
        htmlTxt.push('<p style="color:#DD524D;font-weight:600;font-size:16px;">￥' + dataRow.bsiSalePrice + '</p>');
        htmlTxt.push('</span>');

        htmlTxt.push('<span class="mui-pull-right">');
        htmlTxt.push('<p>&nbsp;</p><p>&nbsp;</p>');
        htmlTxt.push('<p>' + dataRow.topCategoryName + '</p>');
        if (dataRow.bsiType != '1') {
            htmlTxt.push('<p><button class="mui-btn mui-btn-success downOrdeform" dataId="' + dataRow.bsiId + '" dataSalePrice="' + dataRow.bsiSalePrice + '" dataName="' + dataRow.bsiServiceName + '" style="padding-top:2px;padding-bottom:0px;background:#00CC99;border-color:#00CC99;">下单</button></p>');
        }
        htmlTxt.push('</span>');
        htmlTxt.push('</div>');
        if(recommend != '')
            htmlTxt.push('<div class="detail_link"><p>' + recommend + '</p></div>');
        // htmlTxt.push('<div>' + dataRow.bsiServiceName + '<span class="mui-pull-right clsFocus" style="height:20px;border-radius:8px;border:solid 1px red;color:red;font-size:10px;padding-left:5px;padding-right:5px;">+关注</span></div>');
        li.innerHTML = htmlTxt.join('');
        serviceListObj.appendChild(li);
    }
}

function loadService(selectedShop) {
    if (!checknet()) {
        return;
    }
    plus.nativeUI.showWaiting("数据加载中。。。");
    var baseUtl = getServerUrlInf();
    var url = "";
    var prams = {
        'baseServiceInf.ognId': selectedShop.soId,
        page: '0',
        rows: '500'
    };
    url = baseUtl + '/accessFunNoLogin/excuteFun.do?funUrl=baseServiceInf/pageList.do&prms=' + encodeURIComponent(JSON.stringify(prams)) + '&temp=' + new Date().getMilliseconds();
    getServerInfNoShowWaiting(url, {}, function (data) {
        plus.nativeUI.closeWaiting();
        if (data.OK == "OK") {
            servArry = data.rows;
            servArry = JSON.parse(servArry);
            initServiceList(servArry);
        } else {
            plus.nativeUI.toast(data.message);
        }
    });
}

function toServiceDetail(id) {
    mui.openWindow({
        id: 'serviceDetail.html',
        url: 'serviceDetail.html',
        show: {
            aniShow: 'pop-in'
        },
        styles: {
            popGesture: 'hide'
        },
        waiting: {
            autoShow: true
        },
        extras: {
            pwebViewID: selfPage.id,
            entityID: id
        }
    });
}

function placeAnOrder(obj) {
    var servId = obj.getAttribute("dataId");
    var dataSalePrice = obj.getAttribute('dataSalePrice');
    var dataName = obj.getAttribute('dataName');
    var selectedShop = getSelectedShop();

    mui.openWindow({
        id: 'serviceorderform.html',
        url: 'serviceorderform.html',
        show: {
            aniShow: 'pop-in'
        },
        styles: {
            popGesture: 'hide'
        },
        waiting: {
            autoShow: true
        },
        extras: {
            servId: servId,
            soId: selectedShop.soId,
            soName: encodeURIComponent(selectedShop.soName),
            upTime: selectedShop.siUpDatetime,
            downTime: selectedShop.siDownDatetime,
            servsaleprice: dataSalePrice,
            servName: dataName,
            suId: '',
            vtype: 'servshop'
        }
    });
}
