

function initEvent() {
    mui('#list').on('tap', 'li', function () {
        var me = this;
        selectShop(me);
    });

    window.addEventListener('setShop', function (e) {
        var data = e.detail;
        mui.fire(plus.webview.getWebviewById(pwebViewID), backFunc, data);
        if(pwebViewID!='index.html')
            mui.fire(plus.webview.getWebviewById('index.html'), backFunc, data);
        selfPage.close();
    });

    //地图视图
    document.getElementById('addBtn').addEventListener('tap',function(){
        //currentPosition
        var me = this;
        if(allShops == null ||　allShops.length <= 0){
            plus.nativeUI.toast('门店信息读取错误！');
            return;
        }
        // console.log(JSON.stringify(allShops));
        var points = [];
        for(var i=0;i<allShops.length;i++){
            var obj = {
                soName: allShops[i].soName,
                siLong: allShops[i].siLong,
                siLat: allShops[i].siLat,
                distance: allShops[i].distance,
                soId: allShops[i].soId
            }
            points.push(obj);
        }
        mui.openWindow({
            id: 'multiple_position.html',
            url: '../position.html',
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: true
            },
            extras: {
                pwebViewID: selfPage.id,
                points: points,
                backFunc:'setShop'
            }
        });
    });
}

function selectShop(obj){
    if(!checkShopState(obj))
        return;
    var soId = obj.getAttribute("soId");
    var soName = obj.getAttribute("soName");
    var fullName = obj.getAttribute("fullName");
    var siDownDatetime = obj.getAttribute("siDownDatetime");
    var siUpDatetime = obj.getAttribute("siUpDatetime");
    var siLong = obj.getAttribute("siLong");
    var siLat = obj.getAttribute("siLat");
    var siaddress=obj.getAttribute("siaddress");
    var distance = obj.getAttribute("distance");
    var data = {
        soId: soId,
        soName: soName,
        fullName: fullName,
        siDownDatetime: siDownDatetime,
        siUpDatetime: siUpDatetime,
        siLong: siLong,
        siLat: siLat,
        siAddress:siaddress,
        distance: distance
    };
    mui.fire(selfPage,'setShop',data);
}

function checkShopState(obj){
    var divs = obj.children;
    var no_select_shop_flag = false;
    for(var i=0;i<divs.length;i++){
    	var class_ = divs[i].getAttribute('class');
        if(typeof class_ == 'undefined' || class_ == null)
        	class_ = '';
        if(class_.indexOf('no_select_shop')>=0){
        	no_select_shop_flag = true;
        	break;
        }
    }
    if(no_select_shop_flag){
    	mui.toast('该门店休息或停业中,请选择其他门店!');
    	return false;
    }
    return true;
}

function setAddr(flag, data) {
    if (flag) {
        // localObj.innerHTML = data.addr;
        lat = "" + data.lat;
        longt = "" + data.longt;

    } else {
        plus.nativeUI.toast("获取定位失败，请选择门店！");
        lat = '102.73';
        longt = '25.04';
    }
    loadShopData();
}

function loadShopData() {
    if (lat.trim().length < 5 || longt.trim().length < 5) {
        mui.toast("未获取经纬度，请选择定位！");
        return;
    }
    if (!checknet()) {
        return;
    }
    baseUtl = getServerUrlInf();
    var url = baseUtl + '/baseShopInfo/pageList.do?lat=' + lat + '&lng=' + longt + '&page=0&temp=' + new Date().getMilliseconds();
    plus.nativeUI.showWaiting("数据加载中。。。");
    mui.ajax(url, {
        data: {},
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 5000,//超时时间设置为10秒；
        success: function (data) {
            if (data.OK != "OK") {
                plus.nativeUI.toast('发生错误：'+data.message);
                plus.nativeUI.closeWaiting();
                return;
            }
            if(typeof data.rows == 'string')
                data.rows = JSON.parse(data.rows);
            if (data.rows.length <= 0) {
                plus.nativeUI.closeWaiting();
                plus.nativeUI.toast('门店读取错误！'+data.message);
                return;
            }
            allShops = data.rows;
            pageCount = parseInt(data.pageCount);
            var len = data.rows.length;
            var fragment = document.createDocumentFragment();
            for (var i = 0; i < len; i++) {
                var dataRow = data.rows[i];
//              console.log(JSON.stringify(dataRow));
                var isContinue = false;
                var contentArray = list.querySelectorAll("li");
                var maxIndex = 0;
                if (contentArray.length > 20) {
                    maxIndex = 20;
                } else {
                    maxIndex = contentArray.length;
                }
                var soId = dataRow.soId;
                var soName = dataRow.soName;
                var distance = dataRow.distance;
                if(typeof distance == 'undefined' || distance == 'undefined')
                    distance = '';
                var fullName = '吉康国际养生会所（' + soName + '）';
                for (var j = maxIndex - 1; j > -1; j--) {
                    if (contentArray[j].getAttribute("dataId") == soId) {
                        isContinue = true;
                        break;
                    }
                }
                if (isContinue) {
                    continue;
                }

                var li = document.createElement("li");
                li.className = "mui-table-view-cell mui-media";
                li.setAttribute("soId", soId);
                li.setAttribute('soName', soName);
                li.setAttribute('fullName', fullName);
                li.setAttribute('siDownDatetime', dataRow.siDownDatetime);
                li.setAttribute('siUpDatetime', dataRow.siUpDatetime);
                li.setAttribute('siLong', dataRow.siLong);
                li.setAttribute('siLat', dataRow.siLat);
                li.setAttribute('siAddress', dataRow.siAddress);
                li.setAttribute('distance',distance);
                li.style.paddingLeft = "5px";
                var htmlTxt = [];
                var siImgId = dataRow.siImgId;
                if(typeof siImgId!='undefined' && siImgId!='' &&　siImgId!='undefined'){
                    var urlTxt = getFileServerUrlInf() + "fid=" + siImgId + "&isopen=0&filetype=4";
                    htmlTxt.push('<img class="mui-media-object mui-pull-left" src="../images/translate.png" data-src="' + urlTxt + '" onload="load(this)"> ');
                }else{
                    htmlTxt.push('<img class="mui-media-object mui-pull-left" src="../images/translate.png"> ');
                }

                htmlTxt.push('<div class="mui-media-body">');
                htmlTxt.push('<div style="color:#333;">' + fullName + '</div>');
                htmlTxt.push('<div class="mui-ellipsis-2" style="font-size:12px;color:#808080;">' + dataRow.siAddress + '</div>');
                
                htmlTxt.push('<div class="meta-info">');
                var distance = dataRow.distance;
                if (typeof distance == 'undefined' || distance == 'undefined')
                    distance = '';
                if (distance != '') {
                    distance = (parseFloat(distance)/1000).toFixed(1) + '千米';
                }
                var h = '<div class="go" style="color:#2187E7;" dataTitle="吉康国际养生会所（' + dataRow.soName + '）" ';
                h += 'dataLng="' + dataRow.siLong + '" dataLat="' + dataRow.siLat + '">&nbsp;';
                // h += '<span class="mui-icon mui-icon-paperplane" style="font-size:16px;font-weight:600;"></span>到这里去';
                h += '<span style="color:#808080;margin-left:10px;font-size:11px;">' + distance + '</span></div>';
                htmlTxt.push(h);
                // var h = '<div class="in" ><button class="mui-btn mui-btn-success mui-btn-outlined inBtn" ';
                // h += 'dataDownTime="' + dataRow.siDownDatetime + '" dataUpTime="' + dataRow.siUpDatetime + '" dataImgId="' + urlTxt + '" ';
                // h += 'dataIntro="' + dataRow.siBriefIntroduction + '" dataDistance="' + distance + '" dataId="' + soId + '" ';
                // h+= 'dataName="吉康国际养生会所（' + dataRow.soName + '）" dataLng="' + dataRow.siLong + '" ';
                // h += 'dataLat="' + dataRow.siLat + '" style="padding-top:2px;padding-bottom:0px;">进店铺</button></div>';
                // htmlTxt.push(h);
                htmlTxt.push('</div>');
                
                htmlTxt.push('</div>');
                
                var siOpened = dataRow.siOpened;
                if(typeof siOpened == 'undefined')
                    siOpened = '1';
                if(siOpened != '1'){
                    var siRemark = dataRow.siRemark;
                    var siStartTime = dataRow.siStartTime;
                    var siEndTime = dataRow.siEndTime;
                    if(typeof siRemark == 'undefined')
                        siRemark = '店铺状态：未知';
                    if(typeof siStartTime == 'undefined')
                        siStartTime = '';
                    if(typeof siEndTime == 'undefined')
                        siEndTime = '';

                    var siOpenedHtml = '</br><div class="no_select_shop"> <p>'+siRemark+'</p>';
                    if(siStartTime != '' && siEndTime!=''){
                        siStartTime = (new Date(siStartTime)).format('yyyy-MM-dd');
                        siEndTime = (new Date(siEndTime)).format('yyyy-MM-dd');
                        siOpenedHtml += '<p>休息/停业时间：'+siStartTime+' 至 '+siEndTime+'</p>'
                    }
                    siOpenedHtml += '</div>';
                    htmlTxt.push(siOpenedHtml);
                }
                li.innerHTML = htmlTxt.join('');
                fragment.appendChild(li);
            }
            list.appendChild(fragment);
            plus.nativeUI.closeWaiting();
        },
        error: function (xhr, type, errorThrown) {
            if (xhr.status == 200) {
                plus.nativeUI.toast(xhr.responseText);
            } else {
                plus.nativeUI.toast('亲，网络不给力，请再试试！');
            }
        }
    });
}