 /**
 * @description 获取百度定位信息
 * @param {Function} callback
 */
function getPosition(callback) {
	var currentNetState=plus.networkinfo.getCurrentType();
	if(currentNetState==plus.networkinfo.CONNECTION_UNKNOW || currentNetState==plus.networkinfo.CONNECTION_NONE ){
		plus.nativeUI.toast("亲，您的网络不可用或网络状态未知，无法定位！");
		callback(false);
	}else {		
		try {
			plus.nativeUI.showWaiting( "正在获取您的位置，请稍后..." );
        	plus.geolocation.getCurrentPosition(function(position) {
	        	//判断网络类型 
	        	var addr=position.addresses;
	        	var province=position.address.province;
	        	if(province && addr ){
	        		addr=addr.substring(addr.indexOf(province));
	        	}
	            var addr={
	            	country:position.address.country,
	            	province:province,
	            	city:position.address.city,
	            	district:position.address.district,
	            	street:position.address.street,
	            	addr:addr,
	            	lat:position.coords.latitude,
	            	longt:position.coords.longitude
	            }
	            plus.nativeUI.closeWaiting();
		     	callback(true,addr);
	        }, function(e) {     
	        	plus.nativeUI.closeWaiting();
	            callback(false);	           
	        }, {
	        	enableHighAccuracy:true,
	        	timeout:5000,
	            provider: 'amap',
	            coordsType:'gcj02'
	        });
	    } catch (e) {
	    	plus.nativeUI.closeWaiting();
	        callback(false);	       
	    }finally{
	    	//
	    }
	}
}
/**
 * @description 获取百度定位信息
 * @param {Function} callback
 */
function getPositionNoShowMsg(callback) {
	var currentNetState=plus.networkinfo.getCurrentType();
	if(currentNetState==plus.networkinfo.CONNECTION_UNKNOW || currentNetState==plus.networkinfo.CONNECTION_NONE ){		
		callback(false);
	}else {		
		try {			
        	plus.geolocation.getCurrentPosition(function(position) {
	        	//判断网络类型 
	        	var addr=position.addresses;
	        	var province=position.address.province;
	        	if(province && addr ){
	        		addr=addr.substring(addr.indexOf(province));
	        	}
	            var addr={
	            	country:position.address.country,
	            	province:province,
	            	city:position.address.city,
	            	district:position.address.district,
	            	street:position.address.street,
	            	addr:addr,
	            	lat:position.coords.latitude,
	            	longt:position.coords.longitude
	            }
		     	callback(true,addr);
	        }, function(e) {           
	            callback(false);	           
	        }, {
	            enableHighAccuracy:true,
	        	timeout:5000,
	            provider: 'amap',
	            coordsType:'gcj02'
	        });
	    } catch (e) {
	        callback(false);	       
	    }
	}
}

