function formatDate_f(time, fmt) {
    if (typeof time === 'undefined' || time == null || time === '')
        return "";
    if (typeof fmt === 'undefined' || fmt == null)
        fmt = "yyyy-MM-dd hh:mm:ss";
    var date = new Date(time);
    var o = {
        "M+": date.getMonth() + 1,                 //月份
        "d+": date.getDate(),                    //日
        "h+": date.getHours(),                   //小时
        "m+": date.getMinutes(),                 //分
        "s+": date.getSeconds(),                 //秒
        "q+": Math.floor((date.getMonth() + 3) / 3), //季度
        "S": date.getMilliseconds()             //毫秒
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}

function getNextPageData(onComplete) {
    var me = this;
    currentPage ++;
    loadListData(currentPage,onComplete);
}

function loadListData(page,onComplete){
    if(typeof page=='undefined' || page == '')
        page = 0;
    var baseUtl = getServerUrlInf();
    var prams = {'page':page};
    var url = baseUtl+'/accessFunNoLogin/excuteFun.do?funUrl=baseHealth!pageList.do';
    url += '&prms='+encodeURIComponent(JSON.stringify(prams))+'&temp='+new Date().getMilliseconds();
    if(page=='0' || page==0){
    	currentPage = 0;
    	pullToRefresh.endPullUpToRefresh(false);
    	document.getElementById('listUl').innerHTML='';
    }
    getServerInf(url, {}, function (data) {
        if (typeof data.rows === 'undefined') {
            plus.nativeUI.toast('发生错误！');
            return;
        }
        var rows = data.rows;
        pageCount = data.pageCount;
        if(typeof rows === 'string'){
            rows = JSON.parse(rows);
        }
        showData(rows);
        if(onComplete)
            onComplete(data);
        plus.nativeUI.closeWaiting();
        
    });
}

function showData(rows){
    var ul = document.getElementById('listUl');
    for(var i=0;i<rows.length;i++){
        var entity = rows[i];
        var li = document.createElement('li');
        li.setAttribute('class','mui-table-view-cell mui-media');
        li.setAttribute('m_id',entity.bhId);
        var imgEl = getPhotoEl(entity.bhPhoto);
        var titleEl = getTitleEl(entity);
        var timeEl = getTimeEl(entity);
        if(imgEl!='')
	        li.appendChild(imgEl);
        li.appendChild(titleEl);
        li.appendChild(timeEl);
        li.addEventListener('tap',function(e){
        	var me = this;
        	var id = me.getAttribute('m_id');
        	doEdit(id);
        });
        ul.appendChild(li);
    }


}

function getPhotoEl(id){
	if(typeof id=='undefined' || id=='')
		return '';
	var baseUtl = getFileServerUrlInf_sep();
    var url = baseUtl + '/fileserver/common/downloadfileServlet?fid='+id+'&isopen=0&filetype=4';
    var img = document.createElement('img');
    img.setAttribute('class','mui-media-object mui-pull-left');
    img.setAttribute("data-src",url);
    img.setAttribute("id",id);
    img.setAttribute("src",'../images/user-photo.png');
    img.setAttribute('onclick','deletePhoto("'+id+'")')
    //移除此属性 否则不能下载图片
    img.removeAttribute("data-loaded");
    load(img);
    return img;
}

function getTitleEl(entity){
    var el = document.createElement('div');
    el.setAttribute('class','mui-media-body');
    el.innerHTML = entity.bhTitle;
    return el;
}

function getTimeEl(entity){
    var el = document.createElement('p');
    el.setAttribute('class','mui-ellipsis');
    el.innerHTML = formatDate_f(entity.createTime,'yyyy-MM-dd');
    return el;
}


function initEvent() {
	window.addEventListener('init_Prams', function (e) {
        loadListData(0);
    });
    mui("#refresh_container").on("tap", ".mui-card", function() {
	 	var id = this.getAttribute("m_id");
	 	doEdit(id);
 	});
    //初始化scroll组件
    mui('.mui-scroll-wrapper').scroll({
        indicators: true
    });
    // 刷新组件对象
    pullToRefresh = mui('#refresh_container').pullToRefresh({
        down: {
            callback: function() {
                var me = this;
                setTimeout(function() {
                    loadListData(0,function(){
                        me.endPullDownToRefresh();
                    });
                }, 500);
            }
        },
        up: {
            auto: false, //默认执行一次上拉加载
            callback: function(){
                var me = this;
                if(currentPage>=pageCount){
                	me.endPullUpToRefresh(true);
            		return;
                }
                getNextPageData(function(data){
                	if(typeof data == 'undefined'){
                		me.endPullUpToRefresh(true);
                		return;
                	}
                	if(typeof data.page == 'undefined' || typeof data.pageCount == 'undefined'){
                		me.endPullUpToRefresh(true);
                		return;
                	}
                    me.endPullUpToRefresh((data.page+1)>=(data.pageCount)); //最后一页加载完成后禁用上拉
                });
            }
        }
    });
}

function doEdit(entityID){
    if (entityID == null)
        entityID = '';
    mui.openWindow({
        id: '../yangsheng/yangshengContent.html',
        url: '../yangsheng/yangshengContent.html',
        show: {
            aniShow: 'pop-in'
        },
        styles: {
            popGesture: 'hide'
        },
        waiting: {
            autoShow: true
        },
        extras: {
            pwebViewID: selfPage.id,
            entityID: entityID
        }
    });
}


